set memory 64m
set more off

do ExperimentA_RecodeVariables.do

gen control_abp=control* anti_black_predisp
gen explicit_abp=explicit* anti_black_predisp

*used by marginal effects program
global modelcount=1
gen predisp=.
gen model=.
gen Icontrol=.
gen Iexplicit=.
gen Iimplicit=.

gen Lcontrol=.
gen Ucontrol=.
gen Lexplicit=.
gen Uexplicit=.
gen Limplicit=.
gen Uimplicit=.

*done with marginal effects variables

*Figure 2

************************
*begin marginal effects*
************************
quietly estsimp oprobit decrease_spending           explicit control anti_black_predisp control_abp explicit_abp educ age age2 female conservatism, robust genname(b_)
quietly do CreateFigure2_SubProg_ExpA_fullmarginals.do
global modelcount=$modelcount+1
drop b_*
**********************
*end marginal effects*
**********************

************************
*begin marginal effects*
************************
quietly estsimp oprobit strengthen_work_reqs        explicit control anti_black_predisp control_abp explicit_abp educ age age2 female conservatism, robust genname(b_)
quietly do CreateFigure2_SubProg_ExpA_fullmarginals.do
global modelcount=$modelcount+1
drop b_*
**********************
*end marginal effects*
**********************

************************
*begin marginal effects*
************************
quietly estsimp oprobit Oppose_Govt_Help_Blacks     explicit control anti_black_predisp control_abp explicit_abp educ age age2 female conservatism, robust genname(b_)
quietly do CreateFigure2_SubProg_ExpA_fullmarginals.do
global modelcount=$modelcount+1
drop b_*
**********************
*end marginal effects*
**********************

************************
*begin marginal effects*
************************
quietly estsimp oprobit Decrease_Affirmative_Action explicit control anti_black_predisp control_abp explicit_abp educ age age2 female conservatism, robust genname(b_)
quietly do CreateFigure2_SubProg_ExpA_fullmarginals.do
global modelcount=$modelcount+1
drop b_*
**********************
*end marginal effects*
**********************

drop video-explicit_abp
drop if predisp==.
save logs\ExpA_Figure2_graphdata.dta, replace

clear

do ExperimentB_RecodeVariables.do

*used by marginal effects program
global modelcount=1
gen predisp=.
gen model=.
gen IexL_imV=.
gen IneL_imV=.
gen IneL_neV=.

gen LexL_imV=.
gen UexL_imV=.
gen LneL_imV=.
gen UneL_imV=.
gen LneL_neV=.
gen UneL_neV=.

*done with marginal effects variables

drop if exL_neV==1

gen neL_neV_abp=neL_neV* anti_black_predisp
gen exL_imV_abp=exL_imV* anti_black_predisp

*Figure 2

************************
*begin marginal effects*
************************
quietly estsimp oprobit decrease_spending           neL_neV exL_imV anti_black_predisp neL_neV_abp exL_imV_abp educ age age2 female conservatism, robust genname(b_)
quietly quietly do CreateFigure2_SubProg_ExpB_fullmarginals.do
global modelcount=$modelcount+1
drop b_*
**********************
*end marginal effects*
**********************

************************
*begin marginal effects*
************************
quietly estsimp oprobit strengthen_work_reqs        neL_neV exL_imV anti_black_predisp neL_neV_abp exL_imV_abp educ age age2 female conservatism, robust genname(b_)
quietly quietly do CreateFigure2_SubProg_ExpB_fullmarginals.do
global modelcount=$modelcount+1
drop b_*
**********************
*end marginal effects*
**********************

************************
*begin marginal effects*
************************
quietly estsimp oprobit Oppose_Govt_Help_Blacks     neL_neV exL_imV anti_black_predisp neL_neV_abp exL_imV_abp educ age age2 female conservatism, robust genname(b_)
quietly quietly do CreateFigure2_SubProg_ExpB_fullmarginals.do
global modelcount=$modelcount+1
drop b_*
**********************
*end marginal effects*
**********************

************************
*begin marginal effects*
************************
quietly estsimp oprobit Decrease_Affirmative_Action neL_neV exL_imV anti_black_predisp neL_neV_abp exL_imV_abp educ age age2 female conservatism, robust genname(b_)
quietly quietly do CreateFigure2_SubProg_ExpB_fullmarginals.do
global modelcount=$modelcount+1
drop b_*
**********************
*end marginal effects*
**********************

drop video - Decrease_Affirmative_Action
drop if predisp==.
save logs\ExpB_Figure2_graphdata.dta, replace

clear

#delimit ;
use logs\ExpB_Figure2_graphdata.dta;

graph twoway rarea LneL_imV UneL_imV predisp if model==1,  blcolor(white) blwidth(none) blpattern(solid) bfcolor("150 150 150")
|| 
line  IneL_imV IexL_imV  IneL_neV predisp if model==1 
,
 clcolor(black black black) clpattern(solid dash shortdash_dot)
 ytitle("Predicted Probability",size(small) color(white))
 ylabel(#7, labcolor(white) grid nogmax labsize(small) nogmin glwidth(none) glcolor(none) nogextend) 
xtitle("AntiBlack Predispositions",size(small) color(white)) 
xscale(range(0 1)) xlabel(0(.166)1,  format(%9.2f) labsize(small) labcolor(white)
grid nogmax nogmin glwidth(none) glcolor(none) nogextend) 
title("1B: Exp B: Decrease Spending", position(12) size(small)) legend(off) 
graphregion(margin(vsmall) fcolor(none) lcolor(none) ifcolor(none) ilcolor(none)) 
plotregion(fcolor(none) lcolor(black) lwidth(thin) ifcolor(none) ilcolor(none) ilwidth(thin)) name("SpendB",replace) ;

graph twoway rarea LneL_imV UneL_imV predisp if model==2,  blcolor(white) blwidth(none) blpattern(solid) bfcolor("150 150 150")
|| 
line  IneL_imV IexL_imV  IneL_neV predisp if model==2
,
 clcolor(black black black) clpattern(solid dash shortdash_dot)
 ytitle("Predicted Probability",size(small) color(white))
 ylabel(#7, labcolor(white) grid nogmax labsize(small) nogmin glwidth(none) glcolor(none) nogextend) 
xtitle("AntiBlack Predispositions",size(small) color(black)) 
xscale(range(0 1)) xlabel(0(.166)1,  format(%9.2f) labsize(small) labcolor(black)
grid nogmax nogmin glwidth(none) glcolor(none) nogextend) 
title("2B: Exp B: Strengthen Welfare Work Requirements", position(12) size(small)) legend(off) 
graphregion(margin(vsmall) fcolor(none) lcolor(none) ifcolor(none) ilcolor(none)) 
plotregion(fcolor(none) lcolor(black) lwidth(thin) ifcolor(none) ilcolor(none) ilwidth(thin)) name("WorkB",replace) ;

graph twoway rarea LneL_imV UneL_imV predisp if model==3,  blcolor(white) blwidth(none) blpattern(solid) bfcolor("150 150 150")
|| 
line  IneL_imV IexL_imV  IneL_neV predisp if model==3
,
 clcolor(black black black) clpattern(solid dash shortdash_dot)
ytitle("Predicted Probability",size(small) color(white))
 ylabel(#7, labcolor(white) grid nogmax labsize(small) nogmin glwidth(none) glcolor(none) nogextend) 
xtitle("AntiBlack Predispositions",size(small) color(white)) 
xscale(range(0 1)) xlabel(0(.166)1,  format(%9.2f) labsize(small) labcolor(white)
grid nogmax nogmin glwidth(none) glcolor(none) nogextend) 
title("3B: Exp B: Oppose Aid to Blacks", position(12) size(small)) legend(off) 
graphregion(margin(vsmall) fcolor(none) lcolor(none) ifcolor(none) ilcolor(none)) 
plotregion(fcolor(none) lcolor(black) lwidth(thin) ifcolor(none) ilcolor(none) ilwidth(thin)) name("AtoBB",replace) ;

graph twoway rarea LneL_imV UneL_imV predisp if model==4,  blcolor(white) blwidth(none) blpattern(solid) bfcolor("150 150 150")
|| 
line  IneL_imV IexL_imV  IneL_neV predisp if model==4
,
 clcolor(black black black) clpattern(solid dash shortdash_dot)
ytitle("Predicted Probability",size(small) color(white))
 ylabel(#7, labcolor(white) grid nogmax labsize(small) nogmin glwidth(none) glcolor(none) nogextend) 
xtitle("AntiBlack Predispositions",size(small)) 
xscale(range(0 1)) xlabel(0(.166)1,  format(%9.2f) labsize(small) labcolor(black)
grid nogmax nogmin glwidth(none) glcolor(none) nogextend) 
title("4B: Exp B: Oppose Affirmative Action", position(12) size(small)) legend(off) 
graphregion(margin(vsmall) fcolor(none) lcolor(none) ifcolor(none) ilcolor(none)) 
plotregion(fcolor(none) lcolor(black) lwidth(thin) ifcolor(none) ilcolor(none) ilwidth(thin)) name("AAB",replace) ;

use logs\ExpA_Figure2_graphdata.dta;

graph twoway rarea Limplicit Uimplicit predisp if model==1,  blcolor(white) blwidth(none) blpattern(solid) bfcolor("150 150 150")
|| 
line  Iimplicit Iexplicit Icontrol predisp if model==1
,
 clcolor(black black black) clpattern(solid dash dot)
 ytitle("Predicted Probability",size(small) color(black))
 ylabel(#7, labcolor(black) grid nogmax labsize(small) nogmin glwidth(none) glcolor(none) nogextend) 
xtitle("AntiBlack Predispositions",size(small) color(white)) 
xscale(range(0 1)) xlabel(0(.166)1,  format(%9.2f) labsize(small) labcolor(white)
grid nogmax nogmin glwidth(none) glcolor(none) nogextend) 
title("1A: Exp A: Decrease Spending", position(12) size(small)) legend(off) 
graphregion(margin(vsmall) fcolor(none) lcolor(none) ifcolor(none) ilcolor(none)) 
plotregion(fcolor(none) lcolor(black) lwidth(thin) ifcolor(none) ilcolor(none) ilwidth(thin)) name("SpendA",replace) ;

graph twoway rarea Limplicit Uimplicit predisp if model==2,  blcolor(white) blwidth(none) blpattern(solid) bfcolor("150 150 150")
|| 
line  Iimplicit Iexplicit Icontrol  predisp if model==2
,
 clcolor(black black black) clpattern(solid dash dot) 
 ytitle("Predicted Probability",size(small) color(black))
 ylabel(#7, labcolor(black) grid nogmax labsize(small) nogmin glwidth(none) glcolor(none) nogextend) 
xtitle("AntiBlack Predispositions",size(small) color(black)) 
xscale(range(0 1)) xlabel(0(.166)1,  format(%9.2f) labsize(small) labcolor(black)
grid nogmax nogmin glwidth(none) glcolor(none) nogextend) 
title("2A: Exp A: Strengthen Welfare Work Requirements", position(12) size(small)) legend(off) 
graphregion(margin(vsmall) fcolor(none) lcolor(none) ifcolor(none) ilcolor(none)) 
plotregion(fcolor(none) lcolor(black) lwidth(thin) ifcolor(none) ilcolor(none) ilwidth(thin)) name("WorkA",replace) ;

graph twoway rarea Limplicit Uimplicit predisp if model==3,  blcolor(white) blwidth(none) blpattern(solid) bfcolor("150 150 150")
|| 
line Iimplicit Iexplicit Icontrol  predisp if model==3
,
 clcolor(black black black) clpattern(solid dash dot)
 ytitle("Predicted Probability",size(small) color(black))
 ylabel(#7, labcolor(black) grid nogmax labsize(small) nogmin glwidth(none) glcolor(none) nogextend) 
xtitle("AntiBlack Predispositions",size(small) color(white)) 
xscale(range(0 1)) xlabel(0(.166)1,  format(%9.2f) labsize(small) labcolor(white)
grid nogmax nogmin glwidth(none) glcolor(none) nogextend) 
title("3A: Exp A: Oppose Aid to Blacks", position(12) size(small)) legend(off) 
graphregion(margin(vsmall) fcolor(none) lcolor(none) ifcolor(none) ilcolor(none)) 
plotregion(fcolor(none) lcolor(black) lwidth(thin) ifcolor(none) ilcolor(none) ilwidth(thin)) name("AtoBA",replace) ;

graph twoway rarea Limplicit Uimplicit predisp if model==4,  blcolor(white) blwidth(none) blpattern(solid) bfcolor("150 150 150")
|| 
line  Iimplicit Iexplicit Icontrol predisp if model==4
,
 clcolor(black black black) clpattern(solid dash dot)
 ytitle("Predicted Probability",size(small) color(black))
 ylabel(#7, labcolor(black) grid nogmax labsize(small) nogmin glwidth(none) glcolor(none) nogextend) 
xtitle("AntiBlack Predispositions",size(small) ) 
xscale(range(0 1)) xlabel(0(.166)1,  format(%9.2f) labsize(small) labcolor(black)
grid nogmax nogmin glwidth(none) glcolor(none) nogextend) 
title("4A: Exp A: Oppose Affirmative Action", position(12) size(small)) legend(off) 
graphregion(margin(vsmall) fcolor(none) lcolor(none) ifcolor(none) ilcolor(none)) 
plotregion(fcolor(none) lcolor(black) lwidth(thin) ifcolor(none) ilcolor(none) ilwidth(thin)) name("AAA",replace) ;

graph combine SpendA SpendB WorkA WorkB, cols(2)  ysize(7.5) xsize(7.5) graphregion(margin(zero));
graph export logs\f2part1.eps, replace;
graph combine AtoBA AtoBB AAA AAB, cols(2)  ysize(7.5) xsize(7.5) graphregion(margin(zero));
graph export logs\f2part2.eps, replace;

#delimit cr

!erase logs\ExpA_Figure2_graphdata.dta
!erase logs\ExpB_Figure2_graphdata.dta

