set memory 64m
set more off

quietly do ExperimentA_RecodeVariables.do

*used by marginal effects program
global modelcount=-1
gen predisp=.
gen model=.
gen Ilow=.
gen Ihigh=.

gen Llow=.
gen Ulow=.
gen Lhigh=.
gen Uhigh=.

*done with marginal effects variables

*Figure 4 Data

************************
*begin marginal effects*
************************
quietly estsimp oprobit issueadsbad             anti_black_predisp educ_abp educ age age2 female conservatism if explicit==1, robust genname(b_)
quietly do CreateFigures3_4_SubProg_ExpA_fullmarginals.do
global modelcount=$modelcount+1
drop b_*
**********************
*end marginal effects*
**********************

*Figure 3 Data

************************
*begin marginal effects*
************************
quietly estsimp oprobit issueadsbad             anti_black_predisp educ_abp educ age age2 female conservatism if implicit==1, robust genname(b_)
quietly do CreateFigures3_4_SubProg_ExpA_fullmarginals.do
global modelcount=$modelcount+1
drop b_*
**********************
*end marginal effects*
**********************

************************
*begin marginal effects*
************************
quietly estsimp oprobit decrease_spending             anti_black_predisp educ_abp educ age age2 female conservatism if control==1, robust genname(b_)
quietly do CreateFigures3_4_SubProg_ExpA_fullmarginals.do
global modelcount=$modelcount+1
drop b_*
**********************
*end marginal effects*
**********************

************************
*begin marginal effects*
************************
quietly estsimp oprobit strengthen_work_reqs          anti_black_predisp educ_abp educ age age2 female conservatism if control==1, robust genname(b_)
quietly do CreateFigures3_4_SubProg_ExpA_fullmarginals.do
global modelcount=$modelcount+1
drop b_*
**********************
*end marginal effects*
**********************

************************
*begin marginal effects*
************************
quietly estsimp oprobit Oppose_Govt_Help_Blacks       anti_black_predisp educ_abp educ age age2 female conservatism if control==1, robust genname(b_)
quietly do CreateFigures3_4_SubProg_ExpA_fullmarginals.do
global modelcount=$modelcount+1
drop b_*
**********************
*end marginal effects*
**********************

************************
*begin marginal effects*
************************
quietly estsimp oprobit Decrease_Affirmative_Action   anti_black_predisp educ_abp educ age age2 female conservatism if control==1, robust genname(b_)
quietly do CreateFigures3_4_SubProg_ExpA_fullmarginals.do
global modelcount=$modelcount+1
drop b_*
**********************
*end marginal effects*
**********************

drop if predisp==.
drop video- Decrease_Affirmative_Action

#delimit ;

graph twoway rarea Llow Ulow predisp if model==1,  blcolor(white) blwidth(none) blpattern(solid) bfcolor("150 150 150")
|| 
scatter  Ilow Ihigh predisp if model==1
,
msymbol(i +) clpattern(dash solid) connect(l l) clcolor(black black) mcolor(black black) msize(vlarge vlarge)
ytitle("Predicted Probability",size(small) color(black))
 ylabel(#7, labcolor(black) grid nogmax labsize(small) nogmin glwidth(none) glcolor(none) nogextend) 
xtitle("AntiBlack Predispositions",size(small) color(white)) 
xscale(range(0 1)) xlabel(0(.166)1,  format(%9.2f) labsize(small) labcolor(white)
grid nogmax nogmin glwidth(none) glcolor(none) nogextend) 
title("1: Decrease Spending", position(12) size(small)) legend(off) 
graphregion(margin(vsmall) fcolor(none) lcolor(none) ifcolor(none) ilcolor(none)) 
plotregion(fcolor(none) lcolor(black) lwidth(thin) ifcolor(none) ilcolor(none) ilwidth(thin)) name("SpendA",replace) ;

graph twoway rarea Llow Ulow predisp if model==2,  blcolor(white) blwidth(none) blpattern(solid) bfcolor("150 150 150")
|| 
scatter  Ilow Ihigh  predisp if model==2
,
msymbol(i +) clpattern(dash solid) connect(l l) clcolor(black black) mcolor(black black) msize(vlarge vlarge)
ytitle("Predicted Probability",size(small) color(white))
 ylabel(#7, labcolor(black) grid nogmax labsize(small) nogmin glwidth(none) glcolor(none) nogextend) 
xtitle("AntiBlack Predispositions",size(small) color(white)) 
xscale(range(0 1)) xlabel(0(.166)1,  format(%9.2f) labsize(small) labcolor(white)
grid nogmax nogmin glwidth(none) glcolor(none) nogextend) 
title("2: Strengthen Welfare Work Requirements", position(12) size(small)) legend(off) 
graphregion(margin(vsmall) fcolor(none) lcolor(none) ifcolor(none) ilcolor(none)) 
plotregion(fcolor(none) lcolor(black) lwidth(thin) ifcolor(none) ilcolor(none) ilwidth(thin)) name("WorkA",replace) ;

graph twoway rarea Llow Ulow predisp if model==3,  blcolor(white) blwidth(none) blpattern(solid) bfcolor("150 150 150")
|| 
scatter Ilow Ihigh  predisp if model==3
,
msymbol(i +) clpattern(dash solid) connect(l l) clcolor(black black) mcolor(black black) msize(vlarge vlarge)
ytitle("Predicted Probability",size(small) color(black))
 ylabel(#7, labcolor(black) grid nogmax labsize(small) nogmin glwidth(none) glcolor(none) nogextend) 
xtitle("AntiBlack Predispositions",size(small) color(black)) 
xscale(range(0 1)) xlabel(0(.166)1,  format(%9.2f) labsize(small) labcolor(black)
grid nogmax nogmin glwidth(none) glcolor(none) nogextend) 
title("3: Oppose Aid to Blacks", position(12) size(small)) legend(off) 
graphregion(margin(vsmall) fcolor(none) lcolor(none) ifcolor(none) ilcolor(none)) 
plotregion(fcolor(none) lcolor(black) lwidth(thin) ifcolor(none) ilcolor(none) ilwidth(thin)) name("AtoBA",replace) ;

graph twoway rarea Llow Ulow predisp if model==4,  blcolor(white) blwidth(none) blpattern(solid) bfcolor("150 150 150")
|| 
scatter  Ilow Ihigh predisp if model==4
,
msymbol(i +) clpattern(dash solid) connect(l l) clcolor(black black) mcolor(black black) msize(vlarge vlarge)
 ytitle("Predicted Probability",size(small) color(white))
 ylabel(#7, labcolor(black) grid nogmax labsize(small) nogmin glwidth(none) glcolor(none) nogextend) 
xtitle("AntiBlack Predispositions",size(small) ) 
xscale(range(0 1)) xlabel(0(.166)1,  format(%9.2f) labsize(small) labcolor(black)
grid nogmax nogmin glwidth(none) glcolor(none) nogextend) 
title("4: Oppose Affirmative Action", position(12) size(small)) legend(off) 
graphregion(margin(vsmall) fcolor(none) lcolor(none) ifcolor(none) ilcolor(none)) 
plotregion(fcolor(none) lcolor(black) lwidth(thin) ifcolor(none) ilcolor(none) ilwidth(thin)) name("AAA",replace) ;

graph combine SpendA WorkA AtoBA AAA, cols(2)  ysize(7.5) xsize(7.5) title("", size(small)) graphregion(margin(zero));
graph export logs\f3.eps, replace;

scatter  Ilow Ihigh predisp if model==2, msymbol(i +) clpattern(dash solid) connect(l l) clcolor(black black) mcolor(black black) msize(vlarge vlarge);
graph export logs\f3legend.eps, replace;

graph twoway rarea Lhigh Uhigh predisp if model==0,  blcolor(white) blwidth(none) blpattern(solid) bfcolor("150 150 150")
|| 
line Ihigh predisp if model==-1, clpattern(dash) clcolor(black)
||
line Ihigh predisp if model==0
,
clpattern(solid) clcolor(black)
ytitle("Predicted Probability",size(small) color(white))
 ylabel(#7, labcolor(white) grid nogmax labsize(small) nogmin glwidth(none) glcolor(none) nogextend) 
xtitle("AntiBlack Predispositions",size(small) color(black)) 
xscale(range(0 1)) xlabel(0(.166)1,  format(%9.2f) labsize(small) labcolor(black)
grid nogmax nogmin glwidth(none) glcolor(none) nogextend) 
title("Issue Ads Bad", position(12) size(small)) subtitle("High Education Respondents", position(12) size(small)) legend(off) 
graphregion(margin(vsmall) fcolor(none) lcolor(none) ifcolor(none) ilcolor(none)) 
plotregion(fcolor(none) lcolor(black) lwidth(thin) ifcolor(none) ilcolor(none) ilwidth(thin)) name("High",replace) ;

graph twoway rarea Llow Ulow predisp if model==0,  blcolor(white) blwidth(none) blpattern(solid) bfcolor("150 150 150")
|| 
line Ilow predisp if model==-1, clpattern(dash) clcolor(black)
||
line Ilow predisp if model==0
,
clpattern(solid) clcolor(black)
ytitle("Predicted Probability",size(small) color(black))
 ylabel(#7, labcolor(black) grid nogmax labsize(small) nogmin glwidth(none) glcolor(none) nogextend) 
xtitle("AntiBlack Predispositions",size(small) color(black)) 
xscale(range(0 1)) xlabel(0(.166)1,  format(%9.2f) labsize(small) labcolor(black)
grid nogmax nogmin glwidth(none) glcolor(none) nogextend) 
title("Issue Ads Bad", position(12) size(small)) subtitle("Low Education Respondents", position(12) size(small)) legend(off) 
graphregion(margin(vsmall) fcolor(none) lcolor(none) ifcolor(none) ilcolor(none)) 
plotregion(fcolor(none) lcolor(black) lwidth(thin) ifcolor(none) ilcolor(none) ilwidth(thin)) name("Low",replace) ;

graph combine Low High, cols(2)  ysize(3.75) xsize(7.5) title("", size(small)) graphregion(margin(zero)) ycommon;
graph export logs\f4.eps, replace;



