set memory 64m
set more off

do ExperimentA_RecodeVariables.do

gen control_abp=control* anti_black_predisp
gen explicit_abp=explicit* anti_black_predisp

*table 1
summ

*table 2
table video, c(mean issueadsbad sd issueadsbad)

*table 3
table video, c(mean decrease_spending sd decrease_spending n decrease_spending)
table video, c(mean strengthen_work_reqs sd strengthen_work_reqs n strengthen_work_reqs)
table video, c(mean Oppose_Govt_Help_Blacks sd Oppose_Govt_Help_Blacks n Oppose_Govt_Help_Blacks)
table video, c(mean Decrease_Affirmative_Action sd Decrease_Affirmative_Action n Decrease_Affirmative_Action)

*table 4
oprobit decrease_spending           explicit control anti_black_predisp control_abp explicit_abp educ age age2 female conservatism, robust
outreg  anti_black_predisp control_abp explicit_abp explicit control educ age age2 female conservatism using "logs\table4a.out", addstat(log-likelihood, e(ll), chi2, e(chi2), dfchi2, e(df_m)) bfmt(fc) bdec(3) tdec(2) ctitle("(2)") nonotes replace

oprobit strengthen_work_reqs        explicit control anti_black_predisp control_abp explicit_abp educ age age2 female conservatism, robust
outreg  anti_black_predisp control_abp explicit_abp explicit control educ age age2 female conservatism using "logs\table4a.out", addstat(log-likelihood, e(ll), chi2, e(chi2), dfchi2, e(df_m)) bfmt(fc) bdec(3) tdec(2) ctitle("(4)") nonotes append

oprobit Oppose_Govt_Help_Blacks     explicit control anti_black_predisp control_abp explicit_abp educ age age2 female conservatism, robust
outreg  anti_black_predisp control_abp explicit_abp explicit control educ age age2 female conservatism using "logs\table4a.out", addstat(log-likelihood, e(ll), chi2, e(chi2), dfchi2, e(df_m)) bfmt(fc) bdec(3) tdec(2) ctitle("(6)") nonotes append

oprobit Decrease_Affirmative_Action explicit control anti_black_predisp control_abp explicit_abp educ age age2 female conservatism, robust
outreg  anti_black_predisp control_abp explicit_abp explicit control educ age age2 female conservatism using "logs\table4a.out", addstat(log-likelihood, e(ll), chi2, e(chi2), dfchi2, e(df_m)) bfmt(fc) bdec(3) tdec(2) ctitle("(8)") nonotes append

*table 5
oprobit decrease_spending             anti_black_predisp educ_abp educ age age2 female conservatism if control==1, robust
outreg  anti_black_predisp educ_abp educ   age age2 female conservatism using "logs\table5.out", addstat(log-likelihood, e(ll), chi2, e(chi2), dfchi2, e(df_m)) bfmt(fc) bdec(3) tdec(2) ctitle("(2)") nonotes replace

oprobit strengthen_work_reqs          anti_black_predisp educ_abp educ age age2 female conservatism if control==1, robust
outreg  anti_black_predisp educ_abp educ   age age2 female conservatism using "logs\table5.out", addstat(log-likelihood, e(ll), chi2, e(chi2), dfchi2, e(df_m)) bfmt(fc) bdec(3) tdec(2) ctitle("(4)") nonotes append

oprobit Oppose_Govt_Help_Blacks       anti_black_predisp educ_abp educ age age2 female conservatism if control==1, robust
outreg  anti_black_predisp educ_abp educ   age age2 female conservatism using "logs\table5.out", addstat(log-likelihood, e(ll), chi2, e(chi2), dfchi2, e(df_m)) bfmt(fc) bdec(3) tdec(2) ctitle("(6)") nonotes append

oprobit Decrease_Affirmative_Action   anti_black_predisp educ_abp educ age age2 female conservatism if control==1, robust
outreg  anti_black_predisp educ_abp educ   age age2 female conservatism using "logs\table5.out", addstat(log-likelihood, e(ll), chi2, e(chi2), dfchi2, e(df_m)) bfmt(fc) bdec(3) tdec(2) ctitle("(8)") nonotes append

*table 6
oprobit issueadsbad             anti_black_predisp educ_abp educ age age2 female conservatism if explicit==1, robust
outreg  anti_black_predisp educ_abp educ   age age2 female conservatism using "logs\table6.out", addstat(log-likelihood, e(ll), chi2, e(chi2), dfchi2, e(df_m)) bfmt(fc) bdec(3) tdec(2) ctitle("(2)") nonotes noaster replace

oprobit issueadsbad             anti_black_predisp educ_abp educ age age2 female conservatism if implicit==1, robust
outreg  anti_black_predisp educ_abp educ   age age2 female conservatism using "logs\table6.out", addstat(log-likelihood, e(ll), chi2, e(chi2), dfchi2, e(df_m)) bfmt(fc) bdec(3) tdec(2) ctitle("(2)") nonotes noaster append
